<template>
  <div class="page">
    <a-pagination
      show-quick-jumper
      :current="current"
      :page-size="pageOptions.pageSize"
      :total="pageOptions.total"
      @change="pageChange"
    />
  </div>
</template>

<script>
export default {
  props: {
    pageOptions: {
      type: Object,
      default: () => {
        return {}
      }
    },
    current: {
      type: Number,
      default: 1
    }
  },
  methods: {
    pageChange(value) {
      this.$emit('pageSearch', value)
    }
  }
}
</script>

<style lang="less" scoped>
.page {
  text-align: center;
}
</style>
